<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="document" value="#{validationBeanGui.presenter.document}"/>-->
    <!--    <ui:param name="renderers" value="#{validationBeanGui.presenter.renderers}"/>-->
    <!--    <ui:param name="activeItem" value="#{validationBeanGui.presenter.activeRenderer}"/>-->
    <!--    <ui:param name="options" value="caption: net.ihe.gazelle.document.prettified-content"/>-->
    <!--    <ui:param name="documentViewerStyle" value="document-long-viewer"/>-->
    <rich:tabPanel withBorder="true" switchType="ajax" activeItem="#{activeItem}">
        <ui:insert name="custom-head-tabs"/>
        <c:forEach items="#{renderers}" var="r">
            <ui:decorate template="/common/_documentRendererTab.xhtml">
                <ui:param name="document" value="#{document}"/>
                <ui:param name="renderer" value="#{r}"/>
                <ui:param name="options" value="#{options}"/>
                <ui:param name="documentViewerStyle" value="#{documentViewerStyle}"/>
            </ui:decorate>
        </c:forEach>
        <ui:insert name="custom-tail-tabs"/>
    </rich:tabPanel>
</ui:composition>